Сайт | Скачать | Видео | Wiki

Автор Тема: Обновление пакетной базы frugal дистрибутива  (Прочитано 1933 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн betcher

  • Модератор
  • Ветеран
  • ****
  • Сообщений: 1758
  • Репутация: +21/-0
    • Беседка магос
Re: Обновление пакетной базы frugal дистрибутива
« Ответ #15 : 12 Ноябрь 2018, 12:47:30 »
Я вот о какой ситуации. Допустим пакет1 версии1 зависит от либы1. Все чудесно собралось в списке пакетов пакет1 и либа1. Теперь автор пакета1 чето там меняет и пакет1 версии2 зависит уже от либы2. Если пересобирать по моему способу в модуль попадут пакет1v2 и либа2, а если по вашему то пакет1v2 и обе либы. Ситуация релкая конечно, скорее гипотетическая. Но разница налицо :)
http://magos-linux.ru - форум
https://gitter.im/magos-linux-ru/chat - беседка (чат)

Оффлайн sfs

  • Администратор
  • Ветеран
  • *****
  • Сообщений: 27339
  • Репутация: +186/-0
    • PuppyRus-A
Re: Обновление пакетной базы frugal дистрибутива
« Ответ #16 : 12 Ноябрь 2018, 13:44:06 »
автор пакета1 чето там меняет и пакет1 версии2 зависит уже от либы2.
В одной репе одного дистра такого не может быть. На крайняк будет 2 версии либ. Например недавно vlc работал только с ffmpeg28, а прочие с ffmpeg3 4